#ifndef _OrxoBloxWall_H__
#define _OrxoBloxWall_H__

#include "OrxoBlox/OrxoBloxPrereqs.h"
#include "worldentities/StaticEntity.h"
#include "tools/Timer.h"

namespace orxonox
{

    /**
    @brief

    @author

    @ingroup OrxoBlox
    */
    class _OrxoBloxExport OrxoBloxWall : public StaticEntity
    {
        public:
            OrxoBloxWall(Context* context); //!< Constructor. Registers and initializes the object.
            virtual ~OrxoBloxWall() {}
             //   this.destroy();
            //}
            OrxoBloxStones* getStone(unsigned int i);
            /**
            @brief Set the Health of the stone.
            @param size The dimensions a stone has in the game world. (A stone is a cube)
            */
            void setHealth(unsigned int health)
                { 
                    this->totalhealth_ = health; 
                }

            /**
            @brief Get the size of the stone.
            @return Returns the dimensions a stone has in the game world. (A stone is a cube)
            */
            unsigned int getHealth(void) const
                { return this->totalhealth_; }

            void setGame(OrxoBlox* orxoblox)
                { assert(orxoblox); orxoblox_ = orxoblox; }
        private:
            void createWall(void);
            OrxoBlox* getOrxoBlox();
            unsigned int totalhealth_;
            unsigned int num_Stones_;
            unsigned int size_;
            std::vector<OrxoBloxStones*> TotalStones_; //!< A list of all stones in a Wall.
            bool delay_;
            OrxoBlox* orxoblox_;
            

    };
}

#endif /* _OrxoBloxWall_H__ */